import request from "@/utils/request";

export const check = (tenantId) => {
  return request({
    url: `/tenant/init/check/${tenantId}`,
    method: "POST",
  });
};

export const createTables = (tenantId) => {
  return request({
    url: `/tenant/init/createTables/${tenantId}`,
    method: "POST",
  });
};

export const initData = (tenantId) => {
  return request({
    url: `/tenant/init/initData/${tenantId}`,
    method: "POST",
    timeout: 0,
  });
};

// 初始化完毕
export const initCompleted = (tenantId) => {
  return request({
    url: `/tenant/init/initCompleted/${tenantId}`,
    method: "POST",
  });
};
